ru.bitel.bgbilling.plugins.crm.common.model

## Class RegisterCall

- java.lang.Object
- - ru.bitel.bgbilling.plugins.crm.common.model.RegisterCall

- All Implemented Interfaces:
    java.io.Serializable

      public class RegisterCall
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterCall()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `int` | `getGroupId()`
    `int` | `getId()`
    `int` | `getObjectId()`
    `java.lang.String` | `getObjectTitle()`
    `int` | `getRegisterProblemId()`
    `int` | `getSubjectId()`
    `java.lang.String` | `getSubjectTitle()`
    `java.util.Date` | `getTime()`
    `int` | `getUserId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setGroupId(int groupId)`
    `void` | `setId(int id)`
    `void` | `setObjectId(int objectId)`
    `void` | `setObjectTitle(java.lang.String objectTitle)`
    `void` | `setRegisterProblemId(int registerProblemId)`
    `void` | `setSubjectId(int subjectId)`
    `void` | `setSubjectTitle(java.lang.String subjectTitle)`
    `void` | `setTime(java.util.Date time)`
    `void` | `setUserId(int userId)`
    `void` | `setUserID(int userId)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterCall

          public RegisterCall()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getTime

          public java.util.Date getTime()

    - #### setTime

          public void setTime(java.util.Date time)

    - #### setSubjectId

          public void setSubjectId(int subjectId)

    - #### setGroupId

          public void setGroupId(int groupId)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setUserId

          public void setUserId(int userId)

    - #### setUserID

          @Deprecated
          public void setUserID(int userId)

      Deprecated.
      Использовать `setUserId(int)`.
      Parameters:
        `userId` -

    - #### setRegisterProblemId

          public void setRegisterProblemId(int registerProblemId)

    - #### setSubjectTitle

          public void setSubjectTitle(java.lang.String subjectTitle)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getSubjectId

          public int getSubjectId()

    - #### getGroupId

          public int getGroupId()

    - #### getContractId

          public int getContractId()

    - #### getUserId

          public int getUserId()

    - #### getRegisterProblemId

          public int getRegisterProblemId()

    - #### getSubjectTitle

          public java.lang.String getSubjectTitle()

    - #### getComment

          public java.lang.String getComment()

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getObjectTitle

          public java.lang.String getObjectTitle()

    - #### setObjectTitle

          public void setObjectTitle(java.lang.String objectTitle)